LASTLOG2(8)

NUME
lastlog2 - afișează data ultimei autentificări pentru toți utilizatorii sau pentru unul anume

REZUMAT

lastlog2 [opțiuni]

DESCRIERE

lastlog2 afișează conținutul ultimei baze de date de autentificare. Vor fi afișate login-name, last-login-time, tty și remote-host. În mod implicit (fără opțiuni) se afișează toate intrările ultimei autentificări, sortate în ordinea în care au fost scrise prima dată în baza de date.

Comparativ cu lastlog, această comandă este sigură pentru Y2038 și utilizează sqlite3 pentru a stoca informațiile și nu un fișier dispers (sparse).

OPȚIUNI

-a, --active
    Afișează ultimele înregistrări de autentificare, excluzând utilizatorii care nu s-au autentificat niciodată.

-b, --before ZILE
    Afișează numai ultimele înregistrări de autentificare mai vechi de ZILE.

-C, --clear
    Șterge ultima înregistrare de autentificare a unui utilizator. Această opțiune poate fi utilizată numai împreună cu opțiunea -u' (--user*).

-d, *--database FIȘIER
    Utilizează FIȘIER ca bază de date lastlog2.

-h, --help
    Afișează mesajul de ajutor și iese.

-i, --import FIȘIER
    Importă date din vechiul fișier lastlog FIȘIER. Intrările existente în baza de date lastlog2 vor fi suprascrise.

-r, --rename NUME-NOU
    Această opțiune poate fi utilizată numai împreună cu opțiunea -u (--user).

-s, --service num
    Afișează serviciul PAM utilizat pentru autentificare în ultima coloană.

-S, --set
    Stabilește ultima înregistrare de autentificare a unui utilizator la ora curentă. Această opțiune poate fi utilizată numai împreună cu opțiunea -u (--user).

-t, --time ZILE
    Afișează numai ultimele înregistrări de autentificare mai recente de ZILE.

-u, --users NUME-AUTENTIFICARE
    Afișează doar ultima înregistrare de autentificare a utilizatorului NUME-AUTENTIFICARE.

-v, --version
    Afișează numărul versiunii și iese.

Dacă utilizatorul nu s-a autentificat niciodată, mesajul Niciodată autentificat (Never logged in) va fi afișat în rândul cu ora ultimei autentificări.

Vor fi afișate numai intrările pentru utilizatorii actuali ai sistemului. Este posibil să existe alte intrări pentru utilizatorii care au fost șterși anterior.

FIȘIERE

/var/lib/lastlog/lastlog2.db
    Fișier de bază de date de jurnalizare a autentificării al Lastlog2

AUTORI

lastlog2 a fost scris de Thorsten Kukuk pentru liblastlog2(3).

CONSULTAȚI ȘI

liblastlog2(3)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda lastlog2 face parte din pachetul util-linux care poate fi descărcat de la